/***************************************************************************
    Kpass - Internet Password Passwortmanager
    ------------------------------------------------------------------------
    begin              : 21-2-2001
    version            : 0.012 1st release
    copyright          : (C) 2001 by Karl E. Maij
    email              : kem@sitedesign.ch
    website            : http://www.sitedesign.ch
    doc                : http://www.maij.ch/downloads/docs/kpass/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation.	See http://www.gnu.org		
****************************************************************************/


#ifndef KPOUT_H
#define KPOUT_H

#include <klocale.h>

#include <qvariant.h>
#include <qdialog.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qbuttongroup.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>


class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QCheckBox;
class QGroupBox;
class QPushButton;
class QRadioButton;



class Kpout : public QDialog  {

    Q_OBJECT

public:
    Kpout( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~Kpout();

    QGroupBox *mainBox;
    QRadioButton *rbAllPassword, *rbGroupPassword, *rbSinglePassword;
    QRadioButton *rbRawFile;
    QCheckBox *cbGroup, *cbUsername, *cbUrl, *cbPassword;
    QCheckBox *cbMemo, *cbListname, *cbDate;

    QGroupBox* buttonBox;
    QPushButton *cmdOk, *cmdCancel;

		bool getIsGroupChecked() const {return cbGroup->isChecked();}
		bool getIsListnameChecked() const {return cbListname->isChecked();}
		bool getIsPasswordChecked() const {return cbPassword->isChecked();}
		bool getIsUsernameChecked() const {return cbUsername->isChecked();}
		bool getIsUrlChecked() const {return cbUrl->isChecked();}
		bool getIsMemoChecked() const {return cbMemo->isChecked();}
		bool getIsDateChecked() const {return cbDate->isChecked();}
		bool getIsAllChecked() const {return rbAllPassword->isChecked();}
		bool getIsGrpChecked() const {return rbGroupPassword->isChecked();}
		bool getIsSingleChecked() const {return rbSinglePassword->isChecked();}
		bool getIsRawChecked() const {return rbRawFile->isChecked();}

};

#endif

